exports.config =
  # See http://brunch.readthedocs.org/en/latest/config.html for documentation.
  #
  files:
    javascripts:
      defaultExtension: 'coffee'
      joinTo:
        'javascripts/app.js': /^app/
        'javascripts/vendor.js': /^vendor/
        'test/javascripts/test.js': /^test(\/|\\)(?!vendor)/
        'test/javascripts/test-vendor.js': /^test(\/|\\)(?=vendor)/
      order:
        before: [
          'vendor/reconnecting-websocket.js',
          'vendor/yui-3.5.1.js'
        ]

    stylesheets:
      defaultExtension: 'styl'
      joinTo:
        'stylesheets/app.css': /^(app|vendor)/
        'test/stylesheets/test.css': /^test/
      order:
        before: ['vendor/styles/bootstrap-2.0.4.css']
        after: ['vendor/styles/bootstrap-responsive-2.0.4.css']

    templates:
      defaultExtension: 'hbs'
      joinTo: 'javascripts/app.js'

  server:
    port: 8080
    run: yes

  framework: 'yui'
